@charset "utf-8";

/*----- NOTE -----*/
h2 span {
  font-size: 1rem;
}

h4 {
  text-align: right;
}

.recentimginsertbtns {
  margin:0 0.5em;
}

.recentimginsert {
  display:inline-block;
  vertical-align:middle;
}

.recentimginsert img {
  display:block;
}

#situation {
  background-color: transparent;
  color: #939393;
  font-size: .9rem;
  letter-spacing: .3em;
}

/* 入力フォーム */
div.postarea {
  border: 1px solid #535353;
  margin: 1em;
  padding: 1em;
}

div.line-control {
  margin: .5em 1em;
}

span.decoBtns :is(input[type="file"], input[type="button"], select) {
  background-color: #333;
  color: #d3d3d3;
  margin: .3em;
  outline: 1px solid #535353;
}

span.decoBtns :is(input[type="file"], input[type="button"]:hover, select):hover {
  background-color: #535353;
}

/* 検索窓＆鍵入力フォーム */
#searcharea {
  padding: .5em 1em;
  text-align: right;
}

.searchword {
  background-color: #f3f333;
  color: #333;
  font-weight: bold;
}

input.queryinput,
input.passkeyinput {
  border-bottom-right-radius: 0;
  border-right: 2px dashed #333;
  border-top-right-radius: 0;
}

input.submitbutton,
input.passkeysubmit {
  border-bottom-left-radius: 0;
  border-left: 2px dashed #333;
  border-top-left-radius: 0;
}

/* メイン領域 */
section article:last-child {
  border-bottom: 3px dotted #131313;
}

.url.cardlink {
  border-radius: 7px;
  display: inline-block;
  font-size: 0.9rem;
  width: 100%;
  margin: 0 0.25em 0.5em 0;
  max-width: 500px;
  text-decoration: none;
  vertical-align: middle;
}

.cardlinkbox {
  background-color: #333;
  border: 1px solid #535353;
  border-radius: 7px;
  display: flex;
}

.cardlinkbox:hover {
  background-color: #232323;
  border-color: #535353;
  margin: 0;
}

.cardlinkimage {
  background-image: linear-gradient(-30deg, #333, #535353);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.cardlinktextbox {
  display: flex;
  flex-direction: column;
  padding: 0.5em 1em;
}

.cardlinktitle,
.cardlinkdescription,
.cardlinkurl {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  line-clamp: 1;
  overflow: hidden;
  -webkit-line-clamp: 1;
  text-overflow: ellipsis;
}

.cardlinktitle {
  padding-bottom: 0.25em;
}

.cardlinkdescription {
  line-clamp: 2;
  -webkit-line-clamp: 2;
  line-height:1.3;
}

.cardlinkurl {
  color: #939393;
}

.cardsize-S {
  flex-direction: row;
}

.cardsize-S .cardlinkimage {
  border-radius: 6px 0 0 6px;
  flex-shrink: 0;
  min-height: 100px;
  min-width: 100px;
}

.cardsize-S .cardlinktextbox {
  border-left: 1px solid #535353;
  justify-content:center;
}
.cardsize-S .cardlinktitle {
  order: 2;
}

.cardsize-S .cardlinkdescription {
  order: 3;
}

.cardsize-S .cardlinkurl {
  order: 1;
}

.cardsize-L {
  flex-direction: column;
}

.cardsize-L .cardlinkimage {
  aspect-ratio: 1.91 / 1;
  border-radius: 6px 6px 0 0;
  height: auto;
  width: 100%;
}

.cardsize-L .cardlinktextbox {
  border-top: 1px solid #535353;
}

.cardsize-L .cardlinktitle {
  font-weight: bold;
}

.cardsize-L .cardlinkdescription {
  min-height: 2.5em;
}

.cardsize-L .cardlinkurl {
  border-top: 1px solid #535353;
  font-size:0.75rem;
  margin-top:0.5em;
  padding-top:0.5em;
}

span.editlink a {
  border: 1px solid #d3d3d3;
  border-radius: 20px;
  font-size: .9rem;
  padding: .3em 1em;
}

span.editlink a:hover {
  background: #d3d3d3;
  color: #535353;
  text-decoration: none;
  transition: .3s;
}

div.utilitylinks {
  border: 1px solid #535353;
  font-size: .9rem;
  margin: .5em;
}

div.nodata {
  margin: 1em;
}

/* サブ領域 */
aside.subarea {
  font-size: .9rem;
  padding: .5em;
  padding-bottom: 1em;
}

aside.subarea ul {
  margin-bottom: 1em;
  margin-top: 1em;
}

h3.cornertitle {
  border-bottom: 1px solid #535353;
  border-top: 1px solid #535353;
}

section.imagelistarea {
  background-color: #535353;
  color: #f3f3f3;
  display: flex;
  flex-wrap: wrap;
  gap: .5em;
  justify-content: center;
  margin-bottom: 1em;
  padding-bottom: 1em;
}

section.imagelistarea h3 {
  margin-bottom: 0;
  width: 100%;
}

section.imagelistarea .imagelistitem {
  max-height: 150px;
  max-width: 150px;
  overflow: hidden;
  width: 15%;
}

section.imagelistarea .imagelistitem .oneimage {
  aspect-ratio: 1/1;
  height: auto;
  object-fit: cover;
  vertical-align: middle;
  width: 100%;
}

section.freespacearea {
  font-size: .9rem;
  margin: .5em;
}

section.hashtaglistarea ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}

section.hashtaglistarea ul li {
  border: 1px solid #535353;
  border-radius: 5px;
  margin-left: .5em;
  padding: 0 .3em;
}

section.hashtaglistarea ul li:hover {
  background-color: #535353;
}

section.hashtaglistarea ul li::before {
  content: "";
}

section.hashtaglistarea ul li a {
  padding: .3em;
}

section.hashtaglistarea ul li a:link,
section.hashtaglistarea ul li a:visited {
  text-decoration: none;
}

/* ページナビゲーション */
nav.pagenavi {
  align-items: center;
  color: #f3f3f3;
  display: flex;
  font-size: .9rem;
  justify-content: center;
  margin-bottom: 1em;
  margin-top: 1em;
}

nav.pagenavi a,
nav.pagenavi span {
  background-color: #535353;
  border-left: 1px solid #333;
  flex: 1;
  padding: .5em .3em;
  text-align: center;
  text-decoration: none;
}

nav.pagenavi a:first-child {
  border-left: 0;
}

nav.pagenavi a:hover {
  background-color: #232323;
}

nav.pagenavi .pagenumhere {
  background-color: #737373;
  color: #f3f3f3;
  font-weight: bold;
  text-decoration: none;
}

nav.pagenavi .pagehome {
  text-align: center;
}

/* カスタム絵文字ピッカー(その1) | Takotubo Club
https://10rin0.github.io/takodoc/tegalog/%E3%83%91%E3%83%BC%E3%83%84/cemoji_01/ */
.cepicker {
  background-color: #232323;
  margin: 10px auto;
  max-height: 300px;
  overflow-y: auto;
  padding: 5px 0;

  & #CemojiList {
    display: flex;
    flex-wrap: wrap;
    gap: 6px 3px;
    justify-content: center;
  }

  & .oneCemoji {
    background-color: #333;
    border-radius: 5px;
    display: inline-grid;
    justify-items: center;
    padding: 2px;
    &:hover {
      background-color: #535353;
    }
  }

  & .cename, .cectrl {
    display: none;
  }

  & .oneCemoji img {
    cursor: pointer;
    height: 2em;
    &:hover {
      transform: scale(1);
    }
  }
}

.oneCemoji:has(.cemoji img[alt*="morika"]) {
  display:none;
}

/*----- RESPONSIVE -----*/
@media all and (max-width: 600px) {
  .embeddedmovie {
    display: inline-block;
    height: auto;
    max-width: 100%;
    width: auto;
  }
}

@media screen and (max-width: 400px) {
  section.imagelistarea .imagelistitem {
    width: 30%;
  }
}
